From 0ca4dd8daeac2775159e921434257c3cb792ce5d Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Tue, 10 May 2016 17:55:37 +0300
Subject: [PATCH 13/14] pwcli: add signature to the emails

Mention pwcli in the signature so that people realise better that it's an
automated message.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2016, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 cmdtests/list.stdout |    4 +++-
 pwcli                |   11 ++++++++++-
 2 files changed, 13 insertions(+), 2 deletions(-)

diff --git a/cmdtests/list.stdout b/cmdtests/list.stdout
index d7f3a1f84fff..73b4db675036 100644
--- a/cmdtests/list.stdout
+++ b/cmdtests/list.stdout
@@ -52,4 +52,6 @@ Thanks, 1 patch applied to data.git:
 
 fb409caeb2ec foo: test 1
 
-Timo Testi
+-- 
+Sent by pwcli
+
diff --git a/pwcli b/pwcli
index ec511eb6835b..398b68bf3849 100755
--- a/pwcli
+++ b/pwcli
@@ -437,6 +437,11 @@ class Patch():
 
       return reply
 
+   def get_email_signature(self):
+      signature = '-- \nSent by pwcli\n'
+
+      return signature
+
    def get_log(self):
       msg = self.get_email()
       payload = msg.get_payload()
@@ -1010,7 +1015,7 @@ class PWCLI():
          for patch in skipped:
             payload += '%s\n' % patch.get_name()
 
-      payload += '\n%s\n' % self.fullname
+      payload += '\n%s\n' % patch.get_email_signature()
 
       reply.set_payload(payload)
 
@@ -1177,6 +1182,10 @@ class PWCLI():
       patch = self.patches[i - 1]
       reply = patch.get_reply_msg(self.fullname, self.email)
 
+      payload = reply.get_payload()
+      payload += '\n%s\n' % (patch.get_email_signature())
+      reply.set_payload(payload)
+
       reply = self.edit_email(reply)
 
       if reply == None:
-- 
1.7.9.5

